#include <bits/stdc++.h>
#include <stdio.h>
#include <vector>
#include <algorithm>

using namespace std;

int main(){
    int a, n, poz, tmp;
    vector<int> v, v1;

    scanf("%d", &n);

    for(int i= 0 ;i<n; i++){

        scanf("%d", &a);
        v.push_back(a);
        v1.push_back(a);
    }
    sort(v1.begin(), v1.end(), greater<int>());

    for(int i= 0 ;i<n; i++){

        if(v1[i] != v[i]){
            for(int j = i; j<n; j++)
                if(v1[i] == v[j]){
                    poz = j;
                    break;
                }
            tmp = v[poz];
            v[poz] = v[i];
            v[i] = tmp;
            break;
        }

    }
        
    
    for(int i= 0 ;i<n; i++){
        printf("%d ", v[i]);
    }

    printf("\n");
    return 0;
}